Card tokens
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
API reference
Post a card token. Created a new card token for the given information.
Endpoint: /cardpayments/v1/cardtokens
POST
https://sandbox.crbcos.com/cardpayments/v1/cardtokens
Body Parameters
- accountNumberstringrequiredDescription
- clientIdentifierstringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- addressobjectDescription
- street1stringDescription
- street2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- phonestringDescription
- emailAddressstringDescription
- panstringrequiredDescription
- expirationMonthintegerrequiredDescription
- expirationYearintegerrequiredDescription
- cVVstringDescription
Response
- idstringDescription
- partnerIdstringDescription
- productIdstringDescription
- accountNumberstringDescription
- masterAccountNumberstringDescription
- tokenstringDescription
- railstringDescription
- cardTypestringDescription
- productTypestringDescription
- authorizationStatusstringDescription
- statusReasonCodestringDescription
- statusReasonDescriptionstringDescription
- isAuthorizedbooleanDescription
- firstNamestringDescription
- middleNamestringDescription
- lastNamestringDescription
- addressobjectDescription
- street1stringDescription
- street2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- isAddressVerifiedbooleanDescription
- addressVerificationDetailsobjectDescription
- avsResponseCodestringDescription
- avsResponseDescstringDescription
- cvv2ResultCodestringDescription
- isCVVMatchedbooleanDescription
- accountNameInquiryUsedstringDescription
- accountNameInquiryResultstringDescription
- nameVerificationDetailsobjectDescription
- lastNameVerificationStatusstringDescription
- firstNameVerificationStatusstringDescription
- middleNameVerificationStatusstringDescription
- nameVerificationProcessingResultstringDescription
- phonestringDescription
- emailAddressstringDescription
- binNumberstringDescription
- panLastFourstringDescription
- expirationMonthintegerDescription
- expirationYearintegerDescription
- cardFingerprintstringDescription
- isExpiredbooleanDescription
- cardBrandstringDescription
- capabilitiesobjectDescription
- fastFundsSupportedbooleanDescription
- domesticPushEnabledbooleanDescription
- domesticPullEnabledbooleanDescription
- internationalPushEnabledbooleanDescription
- internationalPullEnabledbooleanDescription
- issuerCountryCodestringDescription
- clientIdentifierstringDescription
- createdAtstringDescription
- isActivebooleanDescription
- authorizedAtstringDescription
- deActivatedAtstringDescription
- lastModifiedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/cardpayments/v1/cardtokens' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data '{
"accountNumber": "2287979807",
"clientIdentifier": "string",
"firstName": "Bob",
"lastName": "Bobbie",
"address": {
"street1": "101 Main Street",
"street2": "More address info",
"city": "New York",
"state": "NY",
"postalCode": "07666",
"countryCode": "US"
},
"phone": "2015551212",
"emailAddress": "[email protected]",
"pan": "4111111111111111",
"expirationMonth": 12,
"expirationYear": 2030,
"cvv": "263"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/cardpayments/v1/cardtokens',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"accountNumber": "2287979807",
"clientIdentifier": "string",
"firstName": "Bob",
"lastName": "Bobbie",
"address": {
"street1": "101 Main Street",
"street2": "More address info",
"city": "New York",
"state": "NY",
"postalCode": "07666",
"countryCode": "US"
},
"phone": "2015551212",
"emailAddress": "[email protected]",
"pan": "4111111111111111",
"expirationMonth": 12,
"expirationYear": 2030,
"cvv": "263"
});
req.write(postData);
req.end();python
import http.client
import json
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = json.dumps({
"accountNumber": "2287979807",
"clientIdentifier": "string",
"firstName": "Bob",
"lastName": "Bobbie",
"address": {
"street1": "101 Main Street",
"street2": "More address info",
"city": "New York",
"state": "NY",
"postalCode": "07666",
"countryCode": "US"
},
"phone": "2015551212",
"emailAddress": "[email protected]",
"pan": "4111111111111111",
"expirationMonth": 12,
"expirationYear": 2030,
"cvv": "263"
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
}
conn.request("POST", "/cardpayments/v1/cardtokens", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardpayments/v1/cardtokens")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request.body = JSON.dump({
"accountNumber": "2287979807",
"clientIdentifier": "string",
"firstName": "Bob",
"lastName": "Bobbie",
"address": {
"street1": "101 Main Street",
"street2": "More address info",
"city": "New York",
"state": "NY",
"postalCode": "07666",
"countryCode": "US"
},
"phone": "2015551212",
"emailAddress": "[email protected]",
"pan": "4111111111111111",
"expirationMonth": 12,
"expirationYear": 2030,
"cvv": "263"
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardpayments/v1/cardtokens"
method := "POST"
payload := strings.NewReader(`{
"accountNumber": "2287979807",
"clientIdentifier": "string",
"firstName": "Bob",
"lastName": "Bobbie",
"address": {
"street1": "101 Main Street",
"street2": "More address info",
"city": "New York",
"state": "NY",
"postalCode": "07666",
"countryCode": "US"
},
"phone": "2015551212",
"emailAddress": "[email protected]",
"pan": "4111111111111111",
"expirationMonth": 12,
"expirationYear": 2030,
"cvv": "263"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "759f4eab-5400-4e25-9815-b4af0085684e",
"partnerId": "1101a33d-fbd9-4b9e-b169-b29500f12407",
"productId": "29f3022a-ccfc-42eb-aa8f-b29500f13d00",
"accountNumber": "2113556886",
"masterAccountNumber": "2113556886",
"token": "39A99D770B354E63AC4EFAF64E757F24000000",
"rail": "VisaDirect",
"cardType": "Debit",
"productType": "Unknown",
"authorizationStatus": "Approved",
"statusReasonCode": "00",
"statusReasonDescription": "Approved and completed successfully",
"isAuthorized": true,
"firstName": "Bob",
"lastName": "Bobbie",
"address": {
"street1": "101 Main Street",
"street2": "More address info",
"city": "New York",
"state": "NY",
"postalCode": "07666",
"countryCode": "US"
},
"isAddressVerified": true,
"addressVerificationDetails": {
"avsResponseCode": "Y",
"cvv2ResultCode": "M",
"isCVVMatched": true
},
"accountNameInquiryUsed": "Used",
"accountNameInquiryResult": "Match",
"nameVerificationDetails": {
"lastNameVerificationStatus": "Match",
"firstNameVerificationStatus": "Match",
"middleNameVerificationStatus": "Match",
"nameVerificationProcessingResult": "Name Match Performed"
},
"phone": "2015551212",
"emailAddress": "[email protected]",
"binNumber": "411111",
"panLastFour": "1111",
"expirationMonth": 12,
"expirationYear": 2030,
"cardFingerprint": "7BleaDLyA+3nxDUkoX6WjE0GKUHvEniZuoJFFjVd0muNYH4P3VOoV0w5LX3JW4h75OMx50mIRTS6xnpcxLX/2w==",
"isExpired": false,
"cardBrand": "Visa",
"capabilities": {
"fastFundsSupported": true,
"domesticPushEnabled": true,
"domesticPullEnabled": true,
"internationalPushEnabled": true,
"internationalPullEnabled": true
},
"issuerCountryCode": "US",
"clientIdentifier": "string",
"createdAt": "2026-08-23T04:05:43.2992459-04:00",
"isActive": true,
"authorizedAt": "2026-08-23T04:05:43.5967548-04:00",
"lastModifiedAt": "0001-01-01T00:00:00-04:57"
}
400
{
"errors": [
{
"code": 0,
"message": "string"
}
]
}